declare function make(password: string, algorithm?: string): Promise<string>;
type Algorithm = 'bcrypt' | 'base64';
declare function verify(password: string, hash: string, algorithm?: Algorithm): Promise<boolean>;
declare function bcryptEncode(password: string): Promise<string>;
declare function bcryptVerify(password: string, hash: string): Promise<boolean>;
declare function base64Encode(password: string): string;
declare function base64Verify(password: string, hash: string): boolean;
declare function md5Encode(password: string): CryptoJS.lib.WordArray;
export { make as makeHash, verify as verifyHash, base64Encode, base64Verify, bcryptEncode, bcryptVerify, md5Encode };
